;
;     Natural constants in CGS
;
GG  = 6.672d-8       ; Gravitational constant
mp  = 1.6726d-24     ; Mass of proton          [g]
me  = 9.1095d-28     ; Mass of electron        [g]
kk  = 1.3807d-16     ; Bolzmann's constant     [erg/K]
hh  = 6.6262d-27     ; Planck's constant       [erg.s]
ee  = 4.8032d-10     ; Unit charge             
cc  = 2.9979d10      ; Light speed             [cm/s]
st  = 6.6524d-25     ; Thompson cross-section  [cm^2]
ss  = 5.6703d-5      ; Stefan-Boltzmann const  [erg/cm^2/K^4/s]
aa  = 7.5657d-15     ; 4 ss / cc               [erg/cm^3/K^4]
;                                                              
;     Gas constants                                            
;                                                              
muh2= 2.3000d0       ; Mean molec weight H2+He+Metals
;                                                              
;     Alternative units                                        
;                                                              
ev  = 1.6022d-12     ; Electronvolt            [erg]
kev = 1.6022d-9      ; Kilo electronvolt       [erg]
micr= 1.d-4          ; Micron                  [cm]
km  = 1.d5           ; Kilometer               [cm]
angs= 1.d-8          ; Angstroem               [cm]
;                                                              
;     Astronomy constants                                      
;                                                              
LS  = 3.8525d33      ; Solar luminosity        [erg/s]
RS  = 6.96d10        ; Solar radius            [cm]
MS  = 1.99d33        ; Solar mass              [g]
TS  = 5.78d3         ; Solar temperature       [K]
AU  = 1.496d13       ; Astronomical Unit       [cm]
pc  = 3.08572d18     ; Parsec                  [cm]
mea = 5.9736d27      ; Mass of Earth           [g]
rea = 6.375d08       ; Equatorial radius Earth [cm]
mmo = 7.347d25       ; Mass of moon            [g]
rmo = 1.738d08       ; Radius of moon          [cm]
dmo = 3.844d10       ; Distance earth-moon (center-to-center)  [cm]
mju = 1.899d30       ; Mass of Jupiter         [g]
rju = 7.1492d9       ; Equat. radius Jupiter   [rm]
dju = 7.78412d13     ; Distance Jupiter-Sun    [cm]
;                                                              
;     Time units                                               
;                                                              
year= 3.1536d7       ; Year                    [s]
hour= 3.6000d3       ; Hour                    [s]
day = 8.64d4         ; Day                     [s]
;
;     Math constants
;
pi  = 3.1415926535897932385d0 
